package com.pwt.cloud.enums;

import lombok.Getter;

/**
 * url枚举
 *
 * @author hanshuangxi
 * @date 2023/8/22 11:34
 */
@Getter
public enum CloudUrlEnum {

    /**
     * 电站账号登录
     */
    LOGIN("/api/login/account", false, "post"),

    /**
     * 当前账号信息
     */
    CURRENT_ACCOUNT("/api/account/current", true, "get"),

    /**
     * 电站设备列表
     */
    DEVICE_LIST("/api/control/device/list", true, "get"),

    /**
     * 电站电池列表
     */
    BATTERY_LIST("/api/control/battery/list", true, "get"),

    /**
     * 车辆换电开始
     */
    CHANGE_START("/api/control/change/start", true, "post"),

    /**
     * 车辆换电完成
     */
    CHANGE_FINISH("/api/control/change/finish", true, "post"),

    /**
     * 车辆充电开始
     */
    CHARGE_START("/api/control/charge/start", true, "post"),

    /**
     * 车辆充电完成
     */
    CHARGE_FINISH("/api/control/charge/finish", true, "post"),

    /**
     * 机组充电开始
     */
    POWER_START("/api/control/power/start", true, "post"),

    /**
     * 机组充电完成
     */
    POWER_FINISH("/api/control/power/finish", true, "post"),

    /**
     * 电站告警开始
     */
    ALARM_START("/api/control/alarm/start", true, "post"),

    /**
     * 电站告警完成
     */
    ALARM_FINISH("/api/control/alarm/finish", true, "post"),

    /**
     * 电站开关状态
     */
    STATION_STATUS("/api/control/station/status", true, "post"),

    /**
     * 电站排队数量
     */
    STATION_WAIT("/api/control/station/wait", true, "post"),

    /**
     * 电站设备度量
     */
    DEVICE_MEASURE("/api/control/device/measure", true, "post"),

    /**
     * 车辆位置信息
     */
    VEHICLE_LOCATION("/api/control/vehicle/location", true, "post");

    private final String url;

    private final boolean authentication;

    private final String method;

    CloudUrlEnum(String url, boolean authentication, String method) {
        this.url = url;
        this.authentication = authentication;
        this.method = method;
    }
}